﻿using Microsoft.ServiceBus.Messaging;
using System;

namespace Nardax.Azure.ServiceBus
{
    public interface ISubscriptionClient
    {
        IAsyncResult BeginReceive(TimeSpan serverWaitTime, AsyncCallback callback, object state);

        BrokeredMessage EndReceive(IAsyncResult result);

        void Close();

        int PrefetchCount { get; set; }
    }
}
