﻿using System;
using Nardax.Azure.ServiceBus;

namespace Nardax.Samples.ServiceBus
{
    public interface INardaxBrokeredMessage : IBrokeredMessageContainer
    {
        T GetBody<T>();

        IAsyncResult BeginComplete(AsyncCallback callback, object state);
        
        void EndComplete(IAsyncResult result);

        void DeadLetter();
    }
}