﻿using System;
using System.Collections.Generic;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Moq;
using Nardax.Azure.ServiceBus;
using Nardax.Samples.ServiceBus;
using Nardax.Samples.ServiceBusSubscriptionAdapter;

namespace Nardax.Samples.ServuceBusAdapter.Tests
{
    [TestClass]
    public class MessageProcessorTests
    {
        private Mock<INardaxBrokeredMessage> _nardaxBrokeredMessageMock;
        private Mock<INardaxBrokeredMessage> _nardaxBrokeredMessageMock2;
        private List<INardaxBrokeredMessage> _nardaxBrokeredMessages;
        private Mock<ISubscriptionAdapter<INardaxBrokeredMessage>> _subscriptionAdapterMock;
        private MessageProcessor _messageProcessor;

        [TestInitialize]
        public void TestInitialize()
        {
            _nardaxBrokeredMessageMock = new Mock<INardaxBrokeredMessage>();
            _nardaxBrokeredMessageMock2 = new Mock<INardaxBrokeredMessage>();

            _nardaxBrokeredMessages = new List<INardaxBrokeredMessage>();
            _nardaxBrokeredMessages.Add(_nardaxBrokeredMessageMock.Object);
            _nardaxBrokeredMessages.Add(_nardaxBrokeredMessageMock2.Object);

            _subscriptionAdapterMock = new Mock<ISubscriptionAdapter<INardaxBrokeredMessage>>();
            _subscriptionAdapterMock.Setup(m => m.GetConsumingEnumerable()).Returns(_nardaxBrokeredMessages);

            _messageProcessor = new MessageProcessor(_subscriptionAdapterMock.Object);
        }

        //[TestMethod]
        //public void ProcessMessages_ValidMessage_CallsEndReceive()
        //{
        //    _messageProcessor.ProcessMessages();

        //    _nardaxBrokeredMessageMock.Verify(m => m.BeginComplete(It.IsAny<AsyncCallback>(), null));
        //}
    }
}
