﻿using System;
using Microsoft.ServiceBus.Messaging;

namespace Nardax.Azure.ServiceBus
{
    public interface ITopicAdapter
    {
        void Initialize();

        bool TrySend(BrokeredMessage message);

        bool TrySend<T>(T message) where T : IBrokeredMessageContainer;

        event EventHandler<SendFailedEventArgs> SendFailed;

        TopicAdapterDescription TopicAdapterDescription { get; }
    }
}