﻿using Microsoft.ServiceBus.Messaging;

namespace Nardax.Azure.ServiceBus
{
    public class TopicClientWrapper : ITopicClient
    {
        private readonly TopicClient _topicClient;

        public TopicClientWrapper(string connectionString, string path)
        {
            _topicClient = TopicClient.CreateFromConnectionString(connectionString, path);
        }

        public void Send(BrokeredMessage message)
        {
            _topicClient.Send(message);
        }
    }
}
