﻿using Microsoft.WindowsAzure.StorageClient;

namespace Nardax.Azure.StorageClient
{
    public class CloudQueueMessageWrapper<T> : ICloudQueueMessage<T>
    {
        public CloudQueueMessageWrapper(CloudQueueMessage message, T messageValue)
        {
            Message = message;
            MessageValue = messageValue;
        }

        public CloudQueueMessage Message { get; private set; }

        public T MessageValue { get; private set; }
    }
}