﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.ServiceBus.Messaging;
using Nardax.Azure.ServiceBus;

namespace Nardax.Samples.ServiceBus
{
    public class NardaxBrokeredMessageFactory : INardaxBrokeredMessageFactory
    {
        public INardaxBrokeredMessage CreateBrokeredMessageContainer(BrokeredMessage brokeredMessage)
        {
            return new NardaxBrokeredMessage(brokeredMessage);
        }
    }

    public interface INardaxBrokeredMessageFactory : IBrokeredMessageContainerFactory<INardaxBrokeredMessage>
    {
        
    }
}
