﻿using System;

namespace Nardax
{
    public static class ByteArrayExtensions
    {
        public static bool GetBoolean(this byte[] bytes)
        {
            return BitConverter.ToBoolean(bytes, 0);
        }

        public static bool GetBoolean(this byte[] bytes, int startIndex)
        {
            return BitConverter.ToBoolean(bytes, startIndex);
        }

        public static char GetChar(this byte[] bytes)
        {
            return BitConverter.ToChar(bytes, 0);
        }

        public static char GetChar(this byte[] bytes, int startIndex)
        {
            return BitConverter.ToChar(bytes, startIndex);
        }

        public static double GetDouble(this byte[] bytes)
        {
            return BitConverter.ToDouble(bytes, 0);
        }

        public static double GetDouble(this byte[] bytes, int startIndex)
        {
            return BitConverter.ToDouble(bytes, startIndex);
        }

        public static short GetInt16(this byte[] bytes)
        {
            return BitConverter.ToInt16(bytes, 0);
        }

        public static short GetInt16(this byte[] bytes, int startIndex)
        {
            return BitConverter.ToInt16(bytes, startIndex);
        }

        public static int GetInt32(this byte[] bytes)
        {
            return BitConverter.ToInt32(bytes, 0);
        }

        public static int GetInt32(this byte[] bytes, int startIndex)
        {
            return BitConverter.ToInt32(bytes, startIndex);
        }

        public static long GetInt64(this byte[] bytes)
        {
            return BitConverter.ToInt64(bytes, 0);
        }

        public static long GetInt64(this byte[] bytes, int startIndex)
        {
            return BitConverter.ToInt64(bytes, startIndex);
        }

        public static float GetSingle(this byte[] bytes)
        {
            return BitConverter.ToSingle(bytes, 0);
        }

        public static float GetSingle(this byte[] bytes, int startIndex)
        {
            return BitConverter.ToSingle(bytes, startIndex);
        }

        public static ushort GetUInt16(this byte[] bytes)
        {
            return BitConverter.ToUInt16(bytes, 0);
        }

        public static ushort GetUInt16(this byte[] bytes, int startIndex)
        {
            return BitConverter.ToUInt16(bytes, startIndex);
        }

        public static uint GetUInt32(this byte[] bytes)
        {
            return BitConverter.ToUInt32(bytes, 0);
        }

        public static uint GetUInt32(this byte[] bytes, int startIndex)
        {
            return BitConverter.ToUInt32(bytes, startIndex);
        }

        public static ulong GetUInt64(this byte[] bytes)
        {
            return BitConverter.ToUInt64(bytes, 0);
        }

        public static ulong GetUInt64(this byte[] bytes, int startIndex)
        {
            return BitConverter.ToUInt64(bytes, startIndex);
        }
    }
}